///
/// Solid State by HTML5 UP
/// html5up.net | @ajlkn
/// Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
///
/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/* Header */

#header {
    background-color: transparentize(desaturate(lighten(_palette(bg), 3), 1.5), 0.05);
    background-color: _palette(header-bg);
    color: #fff;

    height: 3.5em;
    transition: height _duration(transition) ease-in-out;
    width: 100%;
    left: 0;
    top: 0;
    position: fixed;
    z-index: 9000;

    line-height: 3.5em;
    padding: 0 1.25em;

    @include unselectable();
}

.toolbar__title {
    border-bottom: 0;
    font-size: 0.8em;
    margin-bottom: 0;

    a {
        border: 0;
    }
}

.toolbar {
    display: flex;
    align-items: center;
}
.toolbar__useless {
    display: inherit;
}

.toolbar--slide {
    padding: 0 20px;
}

.toolbar__child {
    display: flex;

    height: 3em;
    line-height: 3em;
    margin-left: 0.5em;

    font-size: 0.8em;
    color: #fff;
    background: rgba(0, 0, 0, 0.125);

    .first {
        margin-left: 0;
    }

    &.fontello {
        width: 3em;
        padding: 0 1em;
    }

    a {
        border: 0;
        display: inline-block;
        padding: 0 1em;
    }
}

.toolbar__link {
    background: none;
    border: none;

    margin-left: 0;
    padding: 0 1em;

    transition: background _duration(transition) ease-in-out;
    &:hover {
        background: transparentize(_palette(accent), 0.125);
    }
}

.toolbar button.special {
    background-color: transparentize(_palette(accent), 0.125);
}

.toolbar__child--grow {
    flex-grow: 1;
}

.toolbar__input {
    text-align: left;
    text-transform: none;
}

.toolbar--edit {
    background-color: transparentize(_palette(bg), 0.5);
    border-radius: _size(border-radius);
}

.toolbar__spacer {
    display: flex;
    flex-grow: 1;
    justify-content: center;
}
.slide-parent .toolbar__spacer {
    color: #fff;
    text-shadow: none;
}

.toolbar__expand {
    display: none;
}

@include breakpoint(small) {
    .toolbar, #header {
        align-items: left;
        flex-direction: column;
        padding-bottom: 1em;
    }

    .toolbar__useless {
        display: none;
    }

    .toolbar__child {
        display: none;
    }

    .toolbar__expand {
        display: block;
        position: absolute;
        top: 0.75em;
        right: 1em;
    }

    .toolbar__expand--show {
        transform: rotate(180deg);
    }
    .toolbar__expand--hide {
        display: none;
    }

    .toolbar:target {
        &, &#header {
            height: 100%;
        }

        .toolbar__child {
            display: flex;
        }

        .toolbar__expand--show {
            display: none;
        }
        .toolbar__expand--hide {
            display: block;
        }
    }
}
